Skip to main content

Get User Status

The Get User Status API will return a list showing the user was locked via Bruteforce or not.

Resource Informations​

NameValue
Requires authentication?Yes
Rate limited?No

Request​

Request headers​

KeyValue
AuthorizationBearer token
Content-Typeapplication/json
info

The User who generates the token should be a realm admin.

HTTP request URL for SSMS​

GET https://{tenantId}.{hostname}/auth/admin/realms/{realmName}/attack-detection/otp-brute-force/users/{userName}

HTTP request URL for SHIFT​

GET https://{hostname}/auth/realms/{tenantId}/v3_user/{userName}/otp-brute-force
note

API requests must be made over https. Calls made over plain http will fail.

Parameters​

No Parameter fields are required.

Request body​

No request body fields are required.

Sample Response​

{
"otp_disabled": true,
"otp_numFailures": 1,
"otp_lastIPFailure": "1.1",
"otp_lastFailure": 345678908
}

Response Status Information​

Status CodeStatus
200OK
204No Content
401Unauthorized